<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#DE4B44"
    android:orientation="vertical">


    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <View
                android:id="@+id/id_sys_bar_view"
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:background="@color/white" />

            <ImageView
                android:id="@+id/id_img_top_bg_view"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:adjustViewBounds="true"
                android:scaleType="fitXY"
                android:src="@drawable/image_qhb_bg" />

            <ImageView
                android:id="@+id/id_img_back"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/id_sys_bar_view"
                android:layout_marginStart="6dp"
                android:padding="10dp"
                android:src="@drawable/icon_fanhui" />

            <LinearLayout
                android:id="@+id/id_ll_money_pool_view"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/id_img_top_bg_view"
                android:layout_marginStart="12dp"
                android:layout_marginTop="-30dp"
                android:layout_marginEnd="12dp"
                android:background="@drawable/shape_white_r10"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:orientation="vertical"
                    android:paddingTop="9dp"
                    android:paddingBottom="7dp">

                    <TextView
                        android:id="@+id/id_next_money_count"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:includeFontPadding="false"
                        android:text="10000"
                        android:textColor="@color/color_333333"
                        android:textSize="32sp"
                        android:textStyle="bold" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="5dp"
                        android:includeFontPadding="false"
                        android:text="下场即将发放(元)"
                        android:textColor="@color/color_999999"
                        android:textSize="12sp"
                        android:textStyle="bold" />

                </LinearLayout>

                <View
                    android:layout_width="1dp"
                    android:layout_height="match_parent"
                    android:layout_marginTop="20dp"
                    android:layout_marginBottom="20dp"
                    android:background="#DEDEDE" />

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center"
                    android:orientation="vertical"
                    android:paddingTop="9dp"
                    android:paddingBottom="7dp">

                    <TextView
                        android:id="@+id/id_today_money_count"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:includeFontPadding="false"
                        android:text="230100"
                        android:textColor="@color/color_333333"
                        android:textSize="32sp"
                        android:textStyle="bold" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="5dp"
                        android:includeFontPadding="false"
                        android:text="今日红包总量(元)"
                        android:textColor="@color/color_999999"
                        android:textSize="12sp"
                        android:textStyle="bold" />

                </LinearLayout>

            </LinearLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/id_rcl_red_envelope_list"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/id_ll_money_pool_view"
                android:layout_marginStart="12dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="12dp"
                android:background="@drawable/shape_white_r10"
                android:paddingLeft="11dp"
                android:paddingTop="17dp"
                android:paddingRight="11dp"
                android:paddingBottom="15dp" />


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="212dp"
                android:layout_below="@+id/id_rcl_red_envelope_list"
                android:layout_marginStart="12dp"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="12dp"
                android:layout_marginBottom="38dp"
                android:background="@drawable/shape_white_r10"
                android:gravity="center_horizontal"
                android:orientation="vertical"
                android:padding="12dp">


                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="锦鲤红包·今日排行榜"
                    android:textColor="@color/color_333333"
                    android:textSize="18sp"
                    android:textStyle="bold" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/id_rcl_today_top_list"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />


            </LinearLayout>

        </RelativeLayout>

    </androidx.core.widget.NestedScrollView>

</RelativeLayout>
